Bug 831420 - libpcap-devel multilib conflict
libpcap-devel multilib conflict
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libpcap (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 19:40 EDT by Philippe Troin
Modified: 2013-07-05 04:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-05 04:28:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2012-06-12 19:40:04 EDT
# yum install libpcap-devel-14:1.2.1-2.fc17.i686 -y
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package libpcap-devel.i686 14:1.2.1-2.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch        Version                   Repository     Size
================================================================================
Installing:
 libpcap-devel        i686        14:1.2.1-2.fc17           fedora        107 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 107 k
Installed size: 151 k
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/bin/pcap-config from install of libpcap-devel-14:1.2.1-2.fc17.i686 conflicts with file from package libpcap-devel-14:1.2.1-2.fc17.x86_64

Error Summary
-------------

[2]    12548 exit 1     noglob yum install libpcap-devel-14:1.2.1-2.fc17.i686 -y
Comment 1 Michal Sekletar 2012-08-01 03:55:09 EDT
Solution here which will resolve the conflict is adding runtime check for architecture to pcap-config instead of generating paths by autotools. This approach has some drawbacks, such that in case of both 32 and 64 bit libraries installed together paths corresponding to 64 bit libs on x86_64 will be returned, because they are preferred. However, I don't see any other obvious solution here.
Comment 2 Hedayat Vatankhah 2012-08-07 10:43:01 EDT
The main problem is with the libraries. However, pcap-config can generate directories for both 32bit and 64bit libraries. The compiler will pick up the correct one itself. 
Another option is to return ARCH specific paths by default, but provide an option like -m32/-m64 to provide paths for the arch specified in the command line
Comment 3 Fedora End Of Life 2013-07-03 21:10:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Michal Sekletar 2013-07-05 04:28:31 EDT
I've already resolved the conflict by patching conflicting file (pcap-config) and removed source of the conflict. Please see commit 99e93b in git repository.

Note You need to log in before you can comment on or make changes to this bug.